curl -X GET \
-H "QB-Token: d9c91a69e552145f6fe24dbb40b50ac575012bba" \
https://api.quickblox.com/data/ScoreTable/5d866b53a28f9a5ad51cb562,5d867291a0eb473ed96099c4.json
{
"class_name": "ScoreTable",
"items": [
{
"_id": "5d866b53a28f9a5ad51cb562",
"_parent_id": null,
"completed_levels": [
1,
2,
3,
4
],
"created_at": 1569090387,
"date": "2019-09-21T21:21:00Z",
"expert_mode": false,
"game_mode_name": "beta testing",
"progress": 0.23,
"score_value": 1000,
"updated_at": 1569178320,
"user_avatar": null,
"user_id": 96753878,
"user_location": [
11.13,
45.52
],
"permissions": {
"read": {
"access": "open"
},
"update": {
"access": "owner"
},
"delete": {
"access": "owner"
}
}
},
{
"_id": "5d867291a0eb473ed96099c4",
"_parent_id": null,
"completed_levels": [
1,
2,
3
],
"created_at": 1569092241,
"date": "2019-09-21T21:25:00Z",
"expert_mode": false,
"game_mode_name": "beta testing",
"progress": 0.3,
"score_value": 3021,
"updated_at": 1569178320,
"user_avatar": null,
"user_id": 96753878,
"user_location": null,
"permissions": {
"read": {
"access": "open"
},
"update": {
"access": "owner"
},
"delete": {
"access": "owner"
}
}
}
]
}
{}
{
"errors": [
"The resource wasn't found"
]
}
Custom Objects
List Records by IDs
Retrieve records with particular records IDs.
GET
/
data
/
{class_name}
/
{custom_object_record_id}
,
{custom_object_record_id}
.json
curl -X GET \
-H "QB-Token: d9c91a69e552145f6fe24dbb40b50ac575012bba" \
https://api.quickblox.com/data/ScoreTable/5d866b53a28f9a5ad51cb562,5d867291a0eb473ed96099c4.json
{
"class_name": "ScoreTable",
"items": [
{
"_id": "5d866b53a28f9a5ad51cb562",
"_parent_id": null,
"completed_levels": [
1,
2,
3,
4
],
"created_at": 1569090387,
"date": "2019-09-21T21:21:00Z",
"expert_mode": false,
"game_mode_name": "beta testing",
"progress": 0.23,
"score_value": 1000,
"updated_at": 1569178320,
"user_avatar": null,
"user_id": 96753878,
"user_location": [
11.13,
45.52
],
"permissions": {
"read": {
"access": "open"
},
"update": {
"access": "owner"
},
"delete": {
"access": "owner"
}
}
},
{
"_id": "5d867291a0eb473ed96099c4",
"_parent_id": null,
"completed_levels": [
1,
2,
3
],
"created_at": 1569092241,
"date": "2019-09-21T21:25:00Z",
"expert_mode": false,
"game_mode_name": "beta testing",
"progress": 0.3,
"score_value": 3021,
"updated_at": 1569178320,
"user_avatar": null,
"user_id": 96753878,
"user_location": null,
"permissions": {
"read": {
"access": "open"
},
"update": {
"access": "owner"
},
"delete": {
"access": "owner"
}
}
}
]
}
{}
{
"errors": [
"The resource wasn't found"
]
}
Recipes
List records by IDs with API key
List records by IDs with API key
1
1. Use 'Authorization' header to pass API key
curl -X GET \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
https://api.quickblox.com/data/ScoreTable/5d866b53a28f9a5ad51cb562,5d867291a0eb473ed96099c4.json
2
2. As a result, the API returns the records with the specified IDs.
{
"class_name": "ScoreTable",
"items": [
{
"_id": "5d866b53a28f9a5ad51cb562",
"_parent_id": null,
"completed_levels": [
1,
2,
3,
4
],
"created_at": 1569090387,
"date": "2019-09-21T21:21:00Z",
"expert_mode": false,
"game_mode_name": "beta testing",
"progress": 0.23,
"score_value": 1000,
"updated_at": 1569178320,
"user_avatar": null,
"user_id": 96753878,
"user_location": [
11.13,
45.52
],
"permissions": {
"read": {
"access": "open"
},
"update": {
"access": "owner"
},
"delete": {
"access": "owner"
}
}
},
{
"_id": "5d867291a0eb473ed96099c4",
"_parent_id": null,
"completed_levels": [
1,
2,
3
],
"created_at": 1569092241,
"date": "2019-09-21T21:25:00Z",
"expert_mode": false,
"game_mode_name": "beta testing",
"progress": 0.3,
"score_value": 3021,
"updated_at": 1569178320,
"user_avatar": null,
"user_id": 96753878,
"user_location": null,
"permissions": {
"read": {
"access": "open"
},
"update": {
"access": "owner"
},
"delete": {
"access": "owner"
}
}
}
]
}
Path Parameters
string
required
Custom object class name.
string
required
ID of the custom object record. Generated automatically by the server after record creation.
Headers
string
required
A user or application session token. See Authentication page to learn more about session tokens. Must be used either QB-Token or Authorization.
string
default:"ApiKey {your_api_key}"
API key from Dashboard. Expected format:
ApiKey {your_api_key}. Must be used
either QB-Token or Authorization.string
User ID. The user ID of the user on whose behalf the request is being made.
Responses
200
200
400
400
An error response
404
404
An error response
array of strings
curl -X GET \
-H "QB-Token: d9c91a69e552145f6fe24dbb40b50ac575012bba" \
https://api.quickblox.com/data/ScoreTable/5d866b53a28f9a5ad51cb562,5d867291a0eb473ed96099c4.json
{
"class_name": "ScoreTable",
"items": [
{
"_id": "5d866b53a28f9a5ad51cb562",
"_parent_id": null,
"completed_levels": [
1,
2,
3,
4
],
"created_at": 1569090387,
"date": "2019-09-21T21:21:00Z",
"expert_mode": false,
"game_mode_name": "beta testing",
"progress": 0.23,
"score_value": 1000,
"updated_at": 1569178320,
"user_avatar": null,
"user_id": 96753878,
"user_location": [
11.13,
45.52
],
"permissions": {
"read": {
"access": "open"
},
"update": {
"access": "owner"
},
"delete": {
"access": "owner"
}
}
},
{
"_id": "5d867291a0eb473ed96099c4",
"_parent_id": null,
"completed_levels": [
1,
2,
3
],
"created_at": 1569092241,
"date": "2019-09-21T21:25:00Z",
"expert_mode": false,
"game_mode_name": "beta testing",
"progress": 0.3,
"score_value": 3021,
"updated_at": 1569178320,
"user_avatar": null,
"user_id": 96753878,
"user_location": null,
"permissions": {
"read": {
"access": "open"
},
"update": {
"access": "owner"
},
"delete": {
"access": "owner"
}
}
}
]
}
{}
{
"errors": [
"The resource wasn't found"
]
}
Was this page helpful?
⌘I